Getting analysis for a specified chart for a domain or subdomain¶
Note
The user must have at least READ permissions during the selected time period.
Note
Domains and subdomains for which a user has no permissions are skipped.
Note
At least one attribute domains or subDomains must be defined in the body.
Send a POST request to the endpoint /statistics/histogram/{startTime}/{finishTime}/{chartName}/{interval}/{compressed}/{sum}.
Description¶
The Get-Histogram request allows the user to request data for a specific chart for one or more domains or subdomains for the selected time period.
Requirements¶
Values of the request: Start Date {startTime}; End Date {finishTime}; Chart {chartName}; Interval {interval}; Compressed {compressed}; Sum {sum}
Objects: StatisticsVO
Request¶
To request data for a specific chart for one or more domains or subdomains, the Start Date {startTime} and End Date {finishTime} as Unix timestamps, as well as the attributes Chart {chartName}, Interval {interval}, Compressed {compressed}, and Sum {sum}, need to be added to the path of the request.
Chart {chartName} defines the chart type for which information is requested.
The following values are available:
| Value | Description |
|---|---|
total-requests |
The total number of requests. |
total-requests-without-blocked-requests |
The total number of requests without blocked requests. |
total-cached-requests |
The total number of cached requests. |
total-uncached-requests |
The total number of uncached requests. |
total-traffic |
The total amount of traffic. |
total-cached-traffic |
The total amount of cached traffic. |
total-uncached-traffic |
The total amount of uncached traffic. |
total-ingress-traffic |
The total amount of incoming traffic. |
total-egress-traffic |
The total amount of outgoing traffic. |
upstream-time-avg |
The average upstream time. |
cached-uncached-requests-ratio |
The ratio for cached and uncached requests. |
cached-uncached-traffic-ratio |
The ratio for cached and uncached traffic. |
blocked-requests-by-treatment-type |
The total number of requests by treatment type. |
requests-by-as-type |
A list of ASN names from where the requests come from. |
requests-by-status-code |
The total number of requests by status code. |
Interval {interval} defines the data points used to calculate the data.
The following values are available:
| Value | Description |
|---|---|
2m |
The data points are shown every two minutes within the specified time period. |
hourly |
The data points are shown every 60 minutes within the specified time period. |
daily |
The data points are shown every 24 hours within the specified time period. |
weekly |
The data points are shown every 7 days within the specified time period. |
Sum {sum} defines whether the data of all domains and subdomains is combined into one chart.
The following values are available:
| Value | Description |
|---|---|
0 |
The data for each domain and subdomain will be shown separately. |
1 |
The data for each domain and subdomain will be shown as an accumulated total. |
Compressed {compressed} defines whether data points with no data are removed from the chart.
The following values are available:
| Value | Description |
|---|---|
0 |
Empty data points are retained in the chart. |
1 |
Empty data points are removed from the chart. |
For a detailed specification of which information is required to get a statistic, the following attributes need to be defined in the body:
| Attributes | Description | Values |
|---|---|---|
domains |
An array with the names of the domains.NoteTo include a domain with all its subdomains, the attribute subDomains must be empty. |
string |
subDomains |
An array with the names of the subdomains.NoteTo include only specific subdomains, the attribute Domains can be empty. |
string |
As a result, the user gets a statistics object for each analysis category for the selected domains or subdomains.
The object provides the following information:
| Attributes | Description | Values |
|---|---|---|
x |
The date and time for the data point. | integer as unix timestamp |
y |
The value for the related data point. | integer |
max |
The maximal value of the data point. | integer |
name |
The name of the chart, as defined by the Chart {chartName} parameter. |
integer |
sum |
Shows if the data is accumulated or not. | integer |
time |
Shows the unix timestamp related to the max value. | date |
Example¶
Example request body:
{
"domains": "string",
"subDomains": "string",
"x": 0,
"y": 0,
"max": 0,
"name": 0,
"sum": 0,
"time": "string"
}
Responses¶
The following responses are available:
| STATUS CODE | DESCRIPTION |
|---|---|
| 201 | The request has succeeded and a new object has been created. |
| 400 | The request was unsuccessful. The request was invalid or information is missing. |
| 401 | The request has not succeeded because the user authentication was incorrect. |
| 403 | The request has not succeeded because the user does not have the right permissions. |